<template>
  <el-menu
    class="mx-5 el-menu-demo"
    mode="horizontal"
    active-text-color="#43C3C6"
    menu-trigger="click"
  >
    <el-menu-item index="1" style="width: 178px">
      <nuxt-link to="/" class="flex items-center justify-center mx-2">
        <img :src="logo" alt="scankub_logo" />
      </nuxt-link>
    </el-menu-item>
    <el-menu-item
      v-for="(link, index) in nav_link_list"
      :key="index"
      :index="(index + 2).toString()"
      class="flex items-center justify-center flex-1 h-full"
    >
      <nuxt-link :to="link.to_path">
        {{ link.content }}
      </nuxt-link>
    </el-menu-item>
    <el-submenu index="8" class="flex-1">
      <template slot="title" class="more">more</template>
      <el-menu-item index="8-1">
        <nuxt-link
          to="/package"
          class="flex items-center justify-center flex-1"
        >
          Package
        </nuxt-link>
      </el-menu-item>
      <el-menu-item index="8-2">
        <nuxt-link
          to="/contact"
          class="flex items-center justify-center flex-1"
        >
          Contact
        </nuxt-link>
      </el-menu-item>
    </el-submenu>
  </el-menu>
</template>

<script>
export default {
  props: {
    nav_link_list: {
      type: Array,
      default: [],
    },
  },
  data() {
    return {
      logo: require("~/assets/images/scankub_logo.svg"),
    }
  },
}
</script>

<style scoped>
.el-menu-item,
.el-submenu {
  height: 100% !important;
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
}

.el-submenu >>> .el-submenu__title {
  height: 100% !important;
  display: flex;
  justify-content: center;
  align-items: center;
}
.el-menu {
  display: flex;
  flex: 1;
}
.el-menu-item + .is-active {
  color: #444444 !important;
  font-weight: 600;
}
.el-submenu.is-active >>> .el-submenu__title {
  color: #444444 !important;
  font-weight: 600 !important;
}
li.is-active {
  color: #444444 !important;
  font-weight: 600 !important;
}
</style>
